<script setup lang="ts">
import { Bar } from 'vue-chartjs'
import {
  Chart as ChartJS,
  Title,
  Tooltip,
  Legend,
  BarElement,
  CategoryScale,
  LinearScale
} from 'chart.js'
import { reactive } from 'vue'
ChartJS.register(Title, Tooltip, Legend, BarElement, CategoryScale, LinearScale)
const chartData = reactive({
  labels: ['January', 'February', 'March'],
  datasets: [{ data: [40, 20, 12] }]
})
const chartOptions = reactive({
  responsive: true
})
var chartTitle = 'Name'
function ChartTitle(chartTitle: string) {
  return chartTitle
}
const addTitle = function () {
  ChartTitle(chartTitle)
  return
}
</script>

<template>
  <v-card class="mx-auto text-center" color="white" max-width="600" dark elevation="12">
    <v-sheet
      class="v-sheet--offset mx-auto"
      color="white"
      max-width="calc(100% - 32px)"
      rounded="lg"
    >
      <Bar :data="chartData" :options="chartOptions" />
    </v-sheet>

    <v-card-text class="pt-0" :title="ChartTitle(chartTitle)"> </v-card-text>
  </v-card>
</template>
